:root {
  --blue-50: oklch(0.9 0.15 210);
  --blue-100: oklch(0.8 0.2 210);
  --blue-150: oklch(0.64 0.65 220 / 0.1);
  --blue-200: oklch(0.7 0.25 210);
  --blue-300: oklch(0.6 0.3 210);
  --blue-350: oklch(0.5848 0.129 246.27); /* #3e849e */
  --blue-400: oklch(0.5 0.35 210);
  --blue-450: oklch(0.579 0.0805 225.17);
  --blue-500: oklch(0.4 0.4 210);
  --blue-600: oklch(0.3 0.4 210);
  --blue-700: oklch(0.2 0.4 210);
  --blue-800: oklch(0.15 0.35 210);
  --blue-900: oklch(0.1 0.3 210);
  --light-blue: oklch(0.64 0.65 220 / 0.1);
  --blue: oklch(0.64 0.65 220 / 0.5);

  --blue-accents: oklch(0.8 0.1 210);

  --bg-light: oklch(0.9702 0 0);
  --bg-dark: oklch(0.05 0.05 50);

  --text-light: oklch(0.1822 0 0);
  --text-dark: oklch(96.715% 0.00011 0.2);

  --border-light: oklch(95% 0.01523 49);
  --border-dark: oklch(0.1 0.05 50);

  --link-light: oklch(0.4 0.3 210);
  --link-dark: oklch(0.6 0.3 210);

  --font-size-xs: 12px;
  --font-size-sm: 14px;
  --font-size-base: 16px;
  --font-size-md: 18px;
  --font-size-lg: 20px;
  --font-size-xl: 24px;
  --font-size-xxl: 32px;

  --font-weight-light: 300;
  --font-weight-normal: 400;
  --font-weight-medium: 500;
  --font-weight-bold: 700;

  --radius-sm: 0.125rem;
  --radius-md: 0.25rem;
  --radius-lg: 0.5rem;
  --radius-full: 50%;

  --shadow-light: 0 2px 5px 0 rgba(0, 0, 0, 0.1);
  --shadow-dark: 0 2px 5px 0 rgba(0, 0, 0, 0.5);

  --transition: all 0.3s ease;

  --spacing-xs: 0.25rem;
  --spacing-sm: 0.5rem;
  --spacing-md: 1rem;
  --spacing-lg: 1.5rem;
  --spacing-xl: 2rem;

  /* --- Margin Variables --- */
  --margin-xs: 0.5rem;
  --margin-sm: 1rem;
  --margin-md: 1.5rem;
  --margin-lg: 2rem;
  --margin-xl: 3rem;

  /* --- Padding Variables --- */
  --padding-xs: 0.5rem;
  --padding-sm: 1rem;
  --padding-md: 1.5rem;
  --padding-lg: 2rem;
  --padding-xl: 3rem;
}

[data-theme="dark"] {
  --blue-50: oklch(0.1 0.15 210);
  --blue-100: oklch(0.2 0.2 210);
  --blue-200: oklch(0.3 0.25 210);
  --blue-300: oklch(0.4 0.3 210);
  --blue-400: oklch(0.5 0.35 210);
  --blue-500: oklch(0.6 0.4 210);
  --blue-600: oklch(0.7 0.4 210);
  --blue-700: oklch(0.8 0.35 210);
  --blue-800: oklch(0.85 0.3 210);
  --blue-900: oklch(0.9 0.25 210);

  --blue-accents: oklch(0.3 0.1 210);

  --bg-light: oklch(0.05 0.05 50);
  --bg-dark: oklch(0.1 0.05 50);

  --text-light: oklch(0.9 0.03 50);
  --text-dark: oklch(0.2 0.02 50);

  --border-light: oklch(0.2 0.05 50);
  --border-dark: oklch(0.05 0.05 50);

  --link-light: oklch(0.7 0.3 210);
  --link-dark: oklch(0.8 0.3 210);

  --shadow-light: 0 2px 5px 0 rgba(255, 255, 255, 0.1);
  --shadow-dark: 0 2px 5px 0 rgba(0, 0, 0, 0.7);

  --margin-xs: 0.5rem;
  --margin-sm: 1rem;
  --margin-md: 1.5rem;
  --margin-lg: 2rem;
  --margin-xl: 3rem;

  --padding-xs: 0.5rem;
  --padding-sm: 1rem;
  --padding-md: 1.5rem;
  --padding-lg: 2rem;
  --padding-xl: 3rem;
}

@font-face {
  font-family: "Poppins";
  src: url(../Fonts/Poppins/Poppins-Regular.ttf);
}
@font-face {
  font-family: "Alkatra";
  src: url(../Fonts/Alkatra/Alkatra-VariableFont_wght.ttf);
}

footer {
  margin-top: 3vw;
  background: var(--blue-150);
  width: 100%;
}

#nameAndLogo {
  gap: 1vw;
  padding: 0.1vw;
  margin-top: var(--margin-xs);
  width: 25%;
}

.logo {
  width: 9vw;
  height: auto;
}
.mb-0 {
  font-family: "Poppins";
  font-size: var(--font-size-lg);
  font-weight: bold;
  color: var(--text-light);
}

.footerLine {
  margin: var(--margin-xs) auto;
  color: var(--text-dark);
  opacity: 1;
}

.locationFooter {
  width: 35%;
}

.reservation {
  width: 60%;
}

#map {
  height: 90%; /* Set the height to 300px */
  width: 80%; /* Set the width to 500px (or any other desired value) */
  margin: 0 auto; /* Center the map horizontally in its container */
}

.info {
  display: flex;
  justify-content: space-between;
  gap: 1.5vw;
  width: 40%;
}

.mapContainer {
  width: 35%;
}

.reservationTitle,
.locationTitle {
  font-family: "Poppins";
  font-weight: bold;
  font-size: 19px;
  color: var(--text-light);
}

.reservationTitle i,
.locationTitle i {
  font-size: 30px;
  color: #395271;
}

.locationFooter,
.reservation {
  width: 100%;
  text-align: center;
}

.numberFooter,
.emailAddressTextFooter,
.addressTextFooter {
  font-family: "Poppins";
  color: var(--text-light);
  font-size: clamp(18px, calc(2.1vh + 2px), 16px);
  margin-bottom: 0 !important;
}

.numberFooter,
.addressTextFooter {
  margin-top: 1rem;
}

.socialIcons {
  display: flex;
  justify-content: center;
}

.socialIcons a {
  text-decoration: none;
  background-color: rgb(255, 255, 255);
  margin: 5px;
  border-radius: 50%;
}

.socialIcons a i {
  font-size: clamp(22px, calc(2.5vh + 2px), 25px);
  color: var(--blue-350);
  opacity: 0.9;
  margin: 0.7vw;
}

.socialIcons a:hover {
  background-color: white;
  transition: 0.5s;
}

.socialIcons a:hover i {
  color: var(--blue-accents);
  transition: 0.5s;
}

/* Edit mode CSS */
#saveChangesBtn {
  margin-top: -8vw;
  margin-left: 80vw;
  font-size: 1.8vw !important;
  position: fixed;
}

#fullName {
  width: 50% !important;
}

.editable-input {
  background-color: rgba(245, 244, 244, 0.834) !important;
  border: 1px solid rgb(255, 13, 13) !important;
  padding: 2px;
}

#copyrightText {
  color: var(--text-light) !important;
  font-size: var(--font-size-base);
}

@media (min-width: 1900px) {
  .numberFooter,
  .emailAddressTextFooter,
  .addressTextFooter {
    font-size: clamp(1vw, 1.1vw, 1.2vw);
  }

  #copyrightText {
    font-size: clamp(1vw, 1.1vw, 1.2vw);
  }

  .reservationTitle,
  .locationTitle,
  .mb-0,
  .socialIcons a i {
    font-size: clamp(1vw, 1.3vw, 1.2vw);
  }
}

/* Tablet size */
@media only screen and (min-width: 600px) and (max-width: 1024px) {
  .mb-0 {
    font-size: clamp(18px, calc(2.1vh + 2px), 16px) !important;
  }

  .info {
    justify-content: space-evenly;
    width: 50%;
    gap: 0.8vw;
  }

  .logo {
    width: 10vw;
  }

  .mapContainer {
    width: 25%;
  }

  .reservationTitle,
  .locationTitle {
    font-size: clamp(17px, calc(2.1vh + 2px), 16px) !important;
  }

  .numberFooter,
  .emailAddressTextFooter,
  .addressTextFooter {
    font-size: clamp(14px, calc(1.9vh + 2px), 15px) !important;
  }

  .socialIcons {
    margin: 0.5vw auto;
  }

  .socialIcons a {
    justify-items: center;
    align-items: center;
  }

  .socialIcons a i {
    font-size: 23px;
    margin: clamp(0.7vw, 0.5vw, 0.8vw) !important;
  }

  .locationFooter,
  .reservation {
    width: 49%;
    overflow-x: hidden;
  }

  #map {
    width: 100%;
    height: 100%;
  }

  #copyrightText {
    font-size: var(--font-size-sm);
  }
}

@media (max-width: 600px) {
  .upperFooter {
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .info {
    width: 73%;
    margin-bottom: 0.5vw;
    justify-content: space-between;
    gap: 1vw;
    text-align: center;
  }

  .mapContainer {
    width: 100%;
    height: clamp(100px, 150px, 130px);
  }

  .mb-0 {
    font-size: clamp(15px, calc(2vh + 2px), 14px) !important;
  }

  .py-1 {
    gap: 5vw;
  }

  .py-1 img {
    margin-left: 2vw;
  }

  .justify-content-start {
    justify-content: center !important;
  }

  .logo {
    width: 15vw;
  }

  .reservation {
    width: 65%;
  }

  .locationFooter {
    width: 30%;
  }

  .reservationTitle,
  .locationTitle {
    font-size: clamp(15px, calc(2vh + 2px), 16px) !important;
  }

  .numberFooter,
  .emailAddressTextFooter,
  .addressTextFooter {
    font-size: clamp(13px, calc(1.5vh + 2px), 12px) !important;
  }

  .numberFooter {
    margin-bottom: 0 !important;
  }

  .socialIcons a {
    justify-items: center;
    align-items: center;
  }

  .socialIcons a i {
    font-size: 22px;
    margin: 0.5vw !important;
  }

  #copyrightText {
    font-size: var(--font-size-xs);
  }

  .reservationTitle i,
  .locationTitle i {
    font-size: 18px;
    color: #395271;
  }

  .locationFooter,
  .reservation {
    width: 50%;
    text-align: center;
  }

  .info {
    flex-direction: column;
    gap: 1rem !important;
    align-items: center;
    justify-content: center;
  }
}

@media (max-width: 400px) {
  .leaflet-popup-content {
    margin: 1vw 4vw !important;
  }
  #nameAndLogo {
    width: 35%;
  }
  .info {
    flex-wrap: wrap;
    width: 60%;
  }

  .locationFooter,
  .reservation {
    width: 100%;
  }

  .reservationTitle,
  .locationTitle {
    font-size: clamp(13px, calc(1.8vh + 2px), 14px) !important;
  }

  .logo {
    width: 18vw;
  }

  .numberFooter,
  .emailAddressTextFooter,
  .addressTextFooter {
    font-size: clamp(12px, calc(1.7vh + 2px), 13px) !important;
  }

  .reservationTitle i,
  .locationTitle i {
    font-size: 18px;
    color: #395271;
  }
}
